package com.geetest.onepassv2demo;

/**
 * Created by lxzh on 2020/01/02.
 * 公共常量配置
 */
public class Constants {
    public static final String TAG = "OnePassV2";

    /**
     * 服务器配置的verifyUrl接口地址<>需要用到服务SDK</>
     * 当前验证地址仅供演示Demo使用，实际使用请配置为自定义校验的服务端地址
     */
    //public static final String BASE_URL = "";
    public static final String BASE_URL = "https://onepass.geetest.com";
    /**
     * 配置的网关appId<>需要申请ID</>
     * 当前APP_ID仅供演示Demo使用，如果修改了应用包名或者签名信息，请使用申请的APP_ID
     */
    //private static final String APP_ID = "";
    public static final String APP_ID = "e18f5f45da5614928f4af0410e886e0a";

    /**
     * CheckGateWay接口
     * 网关登录校验
     */
    public static final String CHECK_GATE_WAY = "/v2.0/result";

    /**
     * CheckMessage接口
     * 短信校验
     */
    public static final String CHECK_MESSAGE = "/v2.0/check_message";

    /**
     * SendMessage接口
     * 发短信请求
     */
    public static final String SEND_MESSAGE = "/v2.0/send_message";

    /**
     * 请求成功的响应值
     */
    public static final int SUCCESS_CODE = 200;
}
